import { Injectable } from '@angular/core';
import { ToasterService } from 'angular2-toaster';

@Injectable({
  providedIn: 'root'
})
export class NotificationService {

  constructor(private toasterService: ToasterService) {
  }

  private showMessage(type: string, title: string, message: string) {
    this.toasterService.pop(type, title, message);
  }

  showSuccess(title: string, message: string) {
    this.showMessage('success', title, message);
  }

  showError(title: string, message: string) {
    this.showMessage('error', title, message);
  }

  showWarning(title: string, message: string) {
    this.showMessage('warning', title, message);
  }

  showInfo(title: string, message: string) {
    this.showMessage('info', title, message);
  }

  showPrimary(title: string, message: string) {
    this.showMessage('primary', title, message);
  }

}
